Page MenuHomePhabricator

[betalabs] 'Update summary' on blank summary will create an empty view-topic-summary page
Closed, ResolvedPublic

Description

  1. Click on 'Mark as resolved' on a topic without a summary.
  2. Without adding anything, click 'Update summary'.
  3. Two notifications will be sent - one 'Topic was summarized" and another one "The topic was resolved". The timestamps will be different.
  4. Go to 'View history' and click on the entry that says "[username] created topic summary on [date]" - The page does not have any permanent link (or any other info to a user).

e.g. https://en.wikipedia.beta.wmflabs.org/w/index.php?title=Topic:T093qrgbdmah9e97&topicsummary_revId=t1zi3g1wrdjko0ob&action=view-topic-summary

It looks very confusing to a user to find the 'created summary' entry empty - it might look like the info was lost and the functionality broken.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 12 2016, 11:44 PM

Change 283871 had a related patch set uploaded (by Sbisson):
Detect null-edit for a new topic summary

https://gerrit.wikimedia.org/r/283871

SBisson claimed this task.Apr 17 2016, 7:30 PM
SBisson triaged this task as Normal priority.
SBisson moved this task from Untriaged to Needs Review on the Collab-Team-2016-Apr-Jun-Q4 board.

Change 283871 merged by jenkins-bot:
Detect null-edit for a new topic summary

https://gerrit.wikimedia.org/r/283871

Verified the fix in betalabs - the null edits for summary are blocked from appearing in history.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 7:56 PM
jmatazzoni closed this task as Resolved.Apr 20 2016, 12:54 AM